Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.binding
[Java] Class BindingProxy

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          org.codehaus.groovy.binding.BindingProxy

All Implemented Interfaces:
  BindingUpdatable

    public class BindingProxy
    extends GroovyObjectSupport

This class returns half bound FullBindings on the source half to the model object for every property reference (and I do mean every, valid or not, queried before or not). These returned half bindings are stored strongly in a list when generated. Changing the model will keep all existing bindings but change the source on all of the bininfs Formerly Known as Model Binding.

Authors:
  Danno Ferrin

Version:
  \$Revision\$

Since:
  Groovy 1.5

Constructor Summary
`BindingProxy(java.lang.Object model)`

Method Summary
`void` | `bind()`
`java.lang.Object` | `getModel()`
`java.lang.Object` | `getProperty(java.lang.String property)`
`void` | `rebind()`
`void` | `reverseUpdate()`
`void` | `setModel(java.lang.Object model)`
`void` | `setProperty(java.lang.String property, java.lang.Object value)`
`void` | `unbind()`
`void` | `update()`

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### BindingProxy

    public BindingProxy(java.lang.Object model)

Method Detail

### bind

    public void bind()

### getModel

    public java.lang.Object getModel()

### getProperty

    public java.lang.Object getProperty(java.lang.String property)

### rebind

    public void rebind()

### reverseUpdate

    public void reverseUpdate()

### setModel

    public void setModel(java.lang.Object model)

### setProperty

    public void setProperty(java.lang.String property, java.lang.Object value)

### unbind

    public void unbind()

### update

    public void update()

Groovy Documentation